#pragma once
#include "Entity.h"
#define CS_PUUBUBBLE_SOAPC_CREATENAME L"CS_puububble_soapc"
class CS_PuuBubble_SoapC :
    public Entity
{
public:
    CS_PuuBubble_SoapC();
    void Step() override;//该对象由其他控制器控制
    void Attack(std::weak_ptr<Entity> dst, int* outDamage, float* outAngle, bool* outTakedown, int* outElemType, float* outShockForce, float* outHeavy) override;
    bool Hurt(std::weak_ptr<Entity> src, int getDamage, float angle, bool bTakedown, int elemType, float shockForce, float heavy, int* outRealDamage) override;
    int existTime = 480;
};

std::shared_ptr<Entity> CreateCS_PuuBubble_SoapC();
std::weak_ptr<Entity> SetCS_PuuBubble_SoapC(std::shared_ptr<Entity> parent, float x, float y, float vx, float vy);